Subject: Re: ls / dircolors should support more than 8 colors

From: Vincent Lefevre <[email-masked]>
Date: Sun, 30 Dec 2018 03:10:51 +0100

On 2018-12-30 02:21:15 +0100, Vincent Lefevre wrote:
> But one can get bright colors without bold by using 90, 91, etc.
> This is useful with gnome-terminal.
> 
> I think that this should be documented.
> 
> Support for more than 16 colors could be nice...

Actually this is also a lack of documentation. After looking at
"tput setaf ..." and "tput setab ..." output in 256-color mode,
one can use things like:

  38;5;<foreground color number>;48;5;<background color number>

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)